'use strict';

const modulePrompt = require('./modulePrompt');

const OptionalModuleName = {
  AUTH: 'auth-module',
  FORM: 'form-module',
  ANTD: 'antd-module',
};

async function templateModulePrompts() {
  const result = {
    [OptionalModuleName.AUTH]: null,
    [OptionalModuleName.FORM]: true,
    [OptionalModuleName.ANTD]: null,
  };

  result[OptionalModuleName.AUTH] = await modulePrompt({
    name: OptionalModuleName.AUTH,
    initial: true,
  });

  if (!result[OptionalModuleName.AUTH]) {
    result[OptionalModuleName.FORM] = await modulePrompt({
      name: OptionalModuleName.FORM,
      initial: false,
    });
  }

  result[OptionalModuleName.ANTD] = await modulePrompt({
    name: OptionalModuleName.ANTD,
    initial: true,
  });

  return {
    OptionalModuleName,
    result,
  };
}

module.exports = templateModulePrompts;
