'use strict';

const prompts = require('prompts');
const chalk = require('chalk');

/**
 * @param {import('prompts').PromptObject} promptObject
 * @param {import('prompts').Options} options
 */
async function modulePrompt(promptObject, options) {
  const answers = await prompts(
    {
      type: 'confirm',
      name: promptObject.name,
      message: `Do you want to include ${chalk.cyan(
        `${promptObject.name}`
      )} in skeleton?`,
      initial: true,
      stdin: process.stdin,
      stdout: process.stdout,
      ...promptObject,
    },
    options
  );

  return answers[promptObject.name];
}

module.exports = modulePrompt;
